<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRoutePatternReq StructType
 * @subpackage Structs
 */
class AddRoutePatternReq extends APIRequest
{
    /**
     * The routePattern
     * @var XRoutePattern
     */
    public $routePattern;
    /**
     * Constructor method for AddRoutePatternReq
     * @uses AddRoutePatternReq::setRoutePattern()
     * @param XRoutePattern $routePattern
     */
    public function __construct(XRoutePattern $routePattern = null)
    {
        $this
            ->setRoutePattern($routePattern);
    }
    /**
     * Get routePattern value
     * @return XRoutePattern|null
     */
    public function getRoutePattern()
    {
        return $this->routePattern;
    }
    /**
     * Set routePattern value
     * @param XRoutePattern $routePattern
     * @return AddRoutePatternReq
     */
    public function setRoutePattern(XRoutePattern $routePattern = null)
    {
        $this->routePattern = $routePattern;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRoutePatternReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
